# Copyright (C) 2014 Castrense Savojardo
#     Bologna Biocomputing Group
#     University of Bologna, Italy
#     savojard@biocomp.unibo.it
#  
#  config.py - This file is part of TPPRED2
#  
#  TPPRED2 is a free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published
#  by the Free Software Foundation; either version 3 of the License,
#  or (at your option) any later version.
# 
#  TPPRED2 is distributed in the hope that it will be useful, but
#  WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
#  GNU General Public License for more details.
# 
#  You should have received a copy of the GNU General Public License
#  along with TPPRED2; if not, write to the Free Software Foundation,
#  Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.

__all__ = ['DESCRIPTION',
           'EPILOG',
           'SVM_MODEL_FILE',
           'CRF_MODEL_FILE',
           'CRF_DECODING',
           'AA_ORDER',
           'HWINDOW',
           'CRFWINDOW',
           '']


DESCRIPTION = """
 tppred2.py: Prediction of organelle targeting peptides in mitochondrial proteins.
 
   Copyright (C) 2014 Castrense Savojardo
   Bologna Biocomputing Group
   University of Bologna, Italy.
   savojard@biocomp.unibo.it
"""

EPILOG = """

"""

SVM_MODEL_FILE = 'data/SVMModel_C19483.9693722_g0.0883883476483.pklz'

CRF_MODEL_FILE = 'data/CRF_w11_s0.05.new.model'

AA_ORDER = 'VLIMFWYGAPSTCHRKQEND'

HWINDOW = 7

CRFWINDOW = 11

SMOOTHWINDOW = 15

KDSCALE = {'A': 1.8, 'C': 2.5, 'U': 2.5, 'D': -3.5,
           'E': -3.5, 'F': 2.8, 'G': -0.4, 'H': -3.2,
           'I': 4.5, 'K': -3.9, 'L': 3.8, 'M': 1.9,
           'N': -3.5, 'P': -1.6, 'Q': -3.5, 'R': -4.5,
           'S': -0.8, 'T': -0.7, 'V': 4.2, 'W': -0.9,
           'Y': -1.3, 'X': 0, 'B': 0, 'Z': 0, 'O': 0}

CRFBIN = 'bin/biocrf'

SVMBIN = '/home/savojard/bin/svm-predict'

REGEXW = {'R2': 0.0335856, 'R3a': 0.255102, 'R3x': 0.0720339, 'R10': 0.219697, 'RNone': 0.0232967}







